> ## Documentation Index
> Fetch the complete documentation index at: https://pwapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Card Status



## OpenAPI

````yaml en post /card/getCardStatus
openapi: 3.1.0
info:
  title: powercard-api
  description: ''
  version: 1.0.0
servers:
  - url: http://dev-cn.your-api-server.com
    description: 开发环境
security: []
tags: []
paths:
  /card/getCardStatus:
    post:
      tags: []
      summary: 获取卡片状态
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetCardStatusReqVO'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonResultGetCardStatusResVO'
              example:
                success: false
                errorCode: ''
                errorMessage: ''
                errorMessageEn: ''
                detailMessage: ''
                requestId: ''
                data:
                  status: ''
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetCardStatusReqVO:
      type: object
      properties:
        powerCardId:
          type: string
          description: powerCardId
      required:
        - powerCardId
    CommonResultGetCardStatusResVO:
      type: object
      properties:
        success:
          type: boolean
          description: 是否业务处理成功
          default: false
        errorCode:
          type: string
          description: 错误码
        errorMessage:
          type: string
          description: 错误信息
        errorMessageEn:
          type: string
          description: 英文错误信息
        detailMessage:
          type: string
          description: 详细信息
        requestId:
          type: string
          description: 請求uuid
        data:
          $ref: '#/components/schemas/GetCardStatusResVO'
          description: 结果数据
    GetCardStatusResVO:
      type: object
      properties:
        status:
          type: string
          description: 卡片状态
          enum:
            - preSuccess
            - success
            - failed
            - pending
            - retry
            - unknown
      required:
        - status

````